@echo off
chcp 65001>NUL
rem setlocal && cd /D "%~dp0"
REM AYTO TO SCRIPT ΑΛΛΑΖΕΙ ΤΗΝ ΑΝΑΛΥΣΗ ΣΕ 540p [960x540] ΣΕ ΟΛΑ ΤΑ ΑΡΧΕΙΑ ΒΙΝΤΕΟ ΤΩΝ 4 ΤΥΠΩΝ  
REM ΒΙΝΤΕΟ ΤΟΥ OBS + 1 [mp4,mov,mkv,flv & avi] ΠΟΥ ΒΡΙΣΚΟΝΤΑΙ ΣΤΟΝ ΚΑΤΑΛΟΓΟ-ΦΑΚΕΛΟ ΚΑΛΕΣΑΤΕ ΤΟ VIDEMENU.BAT
REM ΑΝ ΘΕΛΕΤΕ ΚΑΙ ΑΛΛΟΥΣ ΤΥΠΟΥΣ ΒΙΝΤΕΟ ΑΠΛΑ ΤΟΥΣ ΠΡΟΣΘΕΤΕ ΜΕΣΑ ΣΤΗΝ ΠΑΡΕΝΘΕΣΗ. π.χ. *.wmv *.webm
REM ΤΑ SCRIPT ΕΙΝΑΙ ΜΕΡΟΣ ΤΟΥ gamelink.gr-ffmpeg-scripts.zip ΑΠΟ ΤΟ EL.GAMELINK.GR
REM Ακολουθεί το Url για να μάθετε περισσότερα ή να το κατεβάσετε. Καλά video editing!
REM 
REM https://el.gamelink.gr/blog/Pws-Mporeite-Na-Mikrynete-ta-Video-gia-tis-MkDocs-Selides-sas-me-to-ffmpeg/ 
REM 

:FF

for /F tokens^=* %%i in ('dir /b *.mp4 *.mov *.mkv *.flv *.avi') do (

	echo.
	echo Μετατρέπω το "%%i" ..
	echo.
	call ffmpeg -v quiet -stats -loglevel error -i "%%i" -s 960x540 -c:a copy "%%~pi%%~ni-540p.%%~xi"
    call vidChckCode.bat "%%i"
)

goto End

rem endlocal 

:End 
call vid0ends.bat
exit /b 0